{
  # pkgs,
  # config,
  # lib,
  ...
}:
{	
  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home.username = "sondell";
  home.homeDirectory = "/home/sondell";
programs = {
  ssh.addKeysToAgent = "yes";
  ssh.enable = true;
  ssh.matchBlocks."*".identityFile = [
    "/home/sondell/.ssh/tulpan"
  ];

  # Let Home Manager install and manage itself.
  home-manager.enable = true;

    helix = {
      enable = true;
      defaultEditor = true;
      languages = {
        language = [
          {
            name = "nix";
            auto-format = true;
            formatter = {command = "alejandra";};
          }
          {
            name = "python";
            auto-format = true;
            formatter = {
              command = "black";
              args = ["-q" "--fast" "-"];
            };
          }
        ];
      };
      settings = {
        # theme = "nightfox";
        keys.normal = {
          C-up = "expand_selection";
          C-down = "shrink_selection";
          C-left = "select_prev_sibling";
          C-right = "select_next_sibling";
        };
        editor = {
          cursor-shape = {
            insert = "bar";
          };
          line-number = "relative";
        };
      };
    };


};

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = "24.05";
}
